Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions | Static Public Attributes
tlp::ControllerFactory Class Reference

`#include <Controller.h>`

List of all members.

## Public Member Functions

- virtual ~ControllerFactory ()
- virtual Controller * createPluginObject (ControllerContext *ic)=0
- virtual std::string getMajor () const
- virtual std::string getMinor () const
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

## Static Public Member Functions

- static void initFactory ()

## Static Public Attributes

- static TemplateFactory
  < ControllerFactory,
  Controller, ControllerContext * > * factory

## Constructor & Destructor Documentation

virtual tlp::ControllerFactory::~ControllerFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Controller* tlp::ControllerFactory::createPluginObject | ( | ControllerContext * | ic | ) | `[pure virtual]`

virtual std::string tlp::ControllerFactory::getMajor | ( |  | ) | const`[inline, virtual]`

virtual std::string tlp::ControllerFactory::getMinor | ( |  | ) | const`[inline, virtual]`

virtual std::string tlp::ControllerFactory::getTulipMajor | ( |  | ) | const`[inline, virtual]`

virtual std::string tlp::ControllerFactory::getTulipMinor | ( |  | ) | const`[inline, virtual]`

static void tlp::ControllerFactory::initFactory | ( |  | ) | `[inline, static]`

## Member Data Documentation

TemplateFactory<ControllerFactory,Controller,ControllerContext *>* tlp::ControllerFactory::factory`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012